# Ogre::LinkedSkeletonAnimationSource Struct Reference

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

List of all members.

## Public Member Functions

| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, SkeletonPtr skelPtr)

## Public Attributes

String | skeletonName
SkeletonPtr | pSkeleton
Real | scale

## Detailed Description

Link to another skeleton to share animations.

Definition at line 414 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl
| ) |

| Definition at line 419 of file OgreSkeleton.h. References Ogre::Real, scale, skeletonName, and Ogre::String.

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | SkeletonPtr | skelPtr
| ) |

| Definition at line 421 of file OgreSkeleton.h. References pSkeleton, Ogre::Real, scale, skeletonName, and Ogre::String.

## Member Data Documentation

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

| Definition at line 417 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

Real Ogre::LinkedSkeletonAnimationSource::scale

| Definition at line 418 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

String Ogre::LinkedSkeletonAnimationSource::skeletonName

| Definition at line 416 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

The documentation for this struct was generated from the following file:

- OgreSkeleton.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:04 2005